# CMxStatus Class

Namespace: `ArchestrA.Toolkit`

CMxStatus is derived from CMxCommon and provides support for MxStatus Attributes.

**Syntax**

```csharp
public class CMxStatus : CMxCommon
```

## CMxStatus Property

### Value Property

Provides a Property to get and set the value as an MxStatus.

**Syntax**

```csharp
public MxStatus Value { get; set; }
```

**Returns**

MxStatus

## CMxStatus Constructors

### CMxStatus Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxStatus();
```

### CMxStatus Constructor MxStatus

Provides a constructor to initialize the class with an MxStatus.

**Syntax**

```csharp
public CMxStatus (MxStatus v);
```

**Parameters**

**`v`**

[in] MxStatus value to be set.

### CMxStatus Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxStatus (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper value to be set.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxStatus Method

### Set Method

Provides a method to set the value of the Attribute from a CMxStatus.

**Syntax**

```csharp
public void Set(CMxStatus val);
```

**Parameters**

**`val`**

[in] CMxStatus value to be set.

## CMxStatus Operator Overloads

### CMxStatus Operator Overload MxStatus

Provides an operator that converts from MxStatus to CMxStatus.

**Syntax**

```csharp
public static implicit operator CMxStatus(MxStatus x);
```

**Parameters**

**`x`**

[in] MxStatus value to convert to CMxStatus.

**Returns**

CMxStatus

### CMxStatus Operator Overload CMxValue

Provides an operator that converts from CMxValue to CMxStatus.

**Syntax**

```csharp
public static implicit operator CMxStatus(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxStatus.

**Returns**

CMxStatus

### CMxValue Operator Overload CMxStatus

Provides an operator that converts from CMxStatus to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue (CMxStatus val);
```

**Parameters**

**`val`**

[in] CMxStatus value to convert to CMxValue.

**Returns**

CMxValue

### MxStatus Operator Overload CMxStatus

Provides an operator that converts from CMxStatus to MxStatus.

**Syntax**

```csharp
public static implicit operator MxStatus (CMxStatus val);
```

**Parameters**

**`val`**

[in] CMxStatus value to convert to MxStatus.

**Returns**

MxStatus
